#!/bin/sh

# install the necessary binaries Value 87AF5FD9-1D55-4514-B904-DE9E4FB63540 is a randomly chosen identifier for the harmony application
tar -xf bin.tar

# this ID is the same as the AppID in the  config.xml
chmod +x /flash/apps/87AF5FD9-1D55-4514-B904-DE9E4FB63540/bin/curl
chmod +x /flash/apps/87AF5FD9-1D55-4514-B904-DE9E4FB63540/bin/md5sum
chmod +x /flash/apps/87AF5FD9-1D55-4514-B904-DE9E4FB63540/bin/unzip
chmod +x /flash/apps/87AF5FD9-1D55-4514-B904-DE9E4FB63540/bin/cut

# install the necessary libraries 
tar -xf lib.tar

# add certificates to ssl setup
mkdir -p /etc/ssl/certs/
mv /flash/apps/87AF5FD9-1D55-4514-B904-DE9E4FB63540/ca-certificates.crt /etc/ssl/certs/

# extract the harmony reader executable and place it a in new directory
mkdir harmonyreader
tar -C harmonyreader -xf harmonyreader.tar

# cleanup all the leftover build files
rm harmonyreader.tar
rm lib.tar
rm bin.tar
